Bug 32554 - [Patch] missing serializer error for editors in Trunk
Summary: [Patch] missing serializer error for editors in Trunk
Status: RESOLVED FIXED
Alias: None
Product: Lenya
Classification: Unclassified
Component: Form Editor (show other bugs)
Version: 2.0
Hardware: Other AIX
: P1 normal
Target Milestone: 2.0
Assignee: Lenya Developers
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2004-12-07 05:00 UTC by Doug Chestnut
Modified: 2007-07-16 01:58 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Chestnut 2004-12-07 05:00:31 UTC
Possibly a problem from upgrading to cocoon 2.1.6 with lenya 1.4 (trunk),
I get an error message whenever I try to edit a document that complains about
the lack of a xml-utf-8 serializer.  The xml serializer in the main sitemap.xmap
file uses utf-8 encoding.  Using the xml serializer instead of the xml-utf-8
serializer seems to clear the error message up.

/src/webapp/lenya/usecases/kupu/usecase-kupu.xmap
Index: usecase-kupu.xmap
===================================================================
--- usecase-kupu.xmap   (revision 109934)
+++ usecase-kupu.xmap   (working copy)
@@ -87,7 +87,7 @@
              
src="{global:basedir}/pubs/{page-envelope:publication-id}/content/authoring/{page-envelope:document-path}"/>
         </map:aggregate>              
         <map:transform
src="fallback://resources/kupu/apache-lenya/lenya/kupusave.xsl"/>
-        <map:serialize type="xml-utf-8"/>
+        <map:serialize type="xml"/>
       </map:match>
     </map:pipeline>   

/src/webapp/lenya/usecases/edit/usecase-edit.xmap
Index: usecase-edit.xmap
===================================================================
--- usecase-edit.xmap   (revision 109934)
+++ usecase-edit.xmap   (working copy)
@@ -52,7 +52,7 @@
       <map:match pattern="request2document">
         <map:generate
src="{global:basedir}/pubs/{page-envelope:publication-id}/work/editor/authoring/{page-envelope:document-path}"/>
         <map:transform
src="{global:basedir}/xslt/authoring/edit/unnumberTags.xsl"/>
-        <map:serialize type="xml-utf-8"/>
+        <map:serialize type="xml"/>
       </map:match>
     </map:pipeline>   

/src/webapp/lenya/usecases/1formedit/usecase-1formedit.xmap
Index: usecase-1formedit.xmap
===================================================================
--- usecase-1formedit.xmap      (revision 109934)
+++ usecase-1formedit.xmap      (working copy)
@@ -51,7 +51,7 @@
     <map:pipeline internal-only="true">     
       <map:match pattern="request2document">
         <map:generate
src="{global:basedir}/pubs/{page-envelope:publication-id}/work/oneformeditor/authoring/{page-envelope:document-id}.xml"/>
-        <map:serialize type="xml-utf-8"/>
+        <map:serialize type="xml"/>
       </map:match>
     </map:pipeline>
Comment 1 Andreas Kuckartz 2004-12-07 08:55:25 UTC
Added dev@lenya.apache.org to CC-list
Comment 2 Gregor J. Rothfuss 2004-12-09 03:53:57 UTC
fixed, thanks
Comment 3 Thorsten Scherler 2007-07-16 01:58:36 UTC
Renaming Lenya 1.4 to 2.0